/*******************************(C) COPYRIGHT 2007 INSEM Inc.****************************************/
/* processor 	  : ARM966E-S					    				    */
/* compiler       : EWARM Compiler								    */
/* program by	  : JK.Won									    */
/* History:											    */
/* 04/13/2007     : Version 1.0									    */
/* copy right	  : Insem Inc.									    */
/****************************************************************************************************/
void UART0_control_proc(void);
void put_str(const char *str);
void dbg_put_char(uchar dat);
/******************************************************************************************************/
typedef struct {
	ushort ldad;
	ushort svad;
	uchar buf[1024];
}__ring;


#define out()	put_str(dbug);

/******************************************************************************************************/	
#ifdef __UART0_H__

__bits uart0;
char dbug[100];
uchar spdata,keyin;
__ring ring;



#else
extern __bits uart0;
extern uchar spdata,keyin;
extern char dbug[100];
extern __ring ring;

#endif
/******************************** bit flag define ******************************************************/
#define fsend_f 				uart0.bit.b0

/******************* (C) COPYRIGHT 2007 INSEM Inc ***************************************END OF FILE****/
