/*******************************(C) COPYRIGHT 2007 INSEM Inc.****************************************/
/* processor 	  : ARM966E-S					    				    */
/* compiler       : EWARM Compiler								    */
/* program by	  : JK.Won									    */
/* History:											    */
/* 04/13/2007     : Version 1.0									    */
/* copy right	  : Insem Inc.									    */
/****************************************************************************************************/
#define __UART1_H__

#include "91x_lib.h"
#include "main.h"

/******************************************************************************************************/
/* u1_byte_loading	:																											*/												
/******************************************************************************************************/
uchar spdata2;
uchar byte_loading2() {

	if(ring2.ldad !=ring2.svad) {
		spdata2 =ring2.buf[ring2.ldad];
		if(++ring2.ldad >=sizeof(ring2.buf)) ring2.ldad =0;
		return 1;
	}
	return 0;
  
}

/******************************************************************************************************/
/* dbg_put_char	:																												*/												
/******************************************************************************************************/
void dbg_put_char2(uchar dat) {      // tx flag check(polling)

    UART1->DR = dat;
    while (UART_GetFlagStatus(UART1, UART_FLAG_TxFIFOFull) != RESET);
}
/******************************************************************************************************/
/* put_str	:																														*/												
/******************************************************************************************************/
void put_str2(const char *str) {
uchar i;

	for(i=0;i<strlen(str);i++) {
		dbg_put_char2(str[i]);
	}

}

/******************************************************************************************************/
/* UART0_control_proc	:									      */												
/******************************************************************************************************/
uchar uartctrl2 =7;
void UART1_control_proc(void) {
  switch(uartctrl2) {
    case 0:
        if(byte_loading2()){
                                                
                sprintf(dbug2,"%c",spdata2);      out2();	
        }
      
      break;
    // powerup start
    case 7:              uartctrl2 =0;	    break;                                            
  }
}
/************************************** COPYRIGHT 2007 Insem Inc.*************************************/
